Erro Squidguard-squid com Squid3-dev



  • Pessoal

    Estou tentando colocar o squidguard para rodar, porem esta dando erro

    Oct 18 10:24:16 php: rc.filter_configure_sync: The command '/sbin/pfctl -nf /tmp/rules.test.packages' returned exit code '1', the output was '/tmp/rules.test.packages:55: syntax error'
    Oct 18 10:24:15 php: rc.filter_configure_sync: There was an error while parsing the package filter rules for /usr/local/pkg/squid.inc.
    Oct 18 10:24:15 php: rc.filter_configure_sync: The command '/sbin/pfctl -nf /tmp/rules.test.packages' returned exit code '1', the output was '/tmp/rules.test.packages:56: syntax error /tmp/rules.test.packages:57: syntax error'
    Oct 18 10:24:13 check_reload_status: Syncing firewall
    Oct 18 10:24:13 check_reload_status: Reloading filter
    Oct 18 10:24:13 php: /pkg_edit.php: The command '/usr/pbi/squid-amd64/sbin/squid -k reconfigure -f /usr/pbi/squid-amd64/etc/squid/squid.conf' returned exit code '1', the output was 'squid: ERROR: No running copy'
    Oct 18 10:24:13 php: /pkg_edit.php: Reloading Squid for configuration sync
    Oct 18 10:24:12 php: /pkg_edit.php: [Squid] - Squid_resync function call pr:1 bp: rpc:no
    Oct 18 10:24:02 check_reload_status: Syncing firewall
    Oct 18 10:23:49 php: rc.filter_configure_sync: There was an error while parsing the package filter rules for /usr/local/pkg/squid.inc.
    Oct 18 10:23:49 php: rc.filter_configure_sync: The command '/sbin/pfctl -nf /tmp/rules.test.packages' returned exit code '1', the output was '/tmp/rules.test.packages:55: syntax error'
    Oct 18 10:23:49 php: rc.filter_configure_sync: There was an error while parsing the package filter rules for /usr/local/pkg/squid.inc.
    Oct 18 10:23:49 php: rc.filter_configure_sync: The command '/sbin/pfctl -nf /tmp/rules.test.packages' returned exit code '1', the output was '/tmp/rules.test.packages:56: syntax error /tmp/rules.test.packages:57: syntax error'

    o squid3-dev esta rodando.. baixei todas as dependencias, porem o squidguard.. Lembrando que era um pfsense 2.0, foi atualizado, os pacotes do squid2 e squidguard removidos



  • Está usando a versão SquidGuard-DEV?

    Tente com ela.

    Só lembrando que o Squid3-DEV e o SquidGuard-DEV não devem ser utilizados em ambientes de produção ainda.



  • coloquei.. está dando erro

    "php: /pkg_mgr_install.php: Beginning package installation for squidGuard-devel .
    Oct 18 11:04:22 check_reload_status: Syncing firewall
    Oct 18 11:04:01 php: rc.filter_configure_sync: There was an error while parsing the package filter rules for /usr/local/pkg/squid.inc.
    Oct 18 11:04:01 php: rc.filter_configure_sync: The command '/sbin/pfctl -nf /tmp/rules.test.packages' returned exit code '1', the output was '/tmp/rules.test.packages:55: syntax error'
    Oct 18 11:04:01 php: rc.filter_configure_sync: There was an error while parsing the package filter rules for /usr/local/pkg/squid.inc.
    Oct 18 11:04:01 php: rc.filter_configure_sync: The command '/sbin/pfctl -nf /tmp/rules.test.packages' returned exit code '1', the output was '/tmp/rules.test.packages:56: syntax error /tmp/rules.test.packages:57: syntax error'
    Oct 18 11:03:58 check_reload_status: Reloading filter
    Oct 18 11:03:58 php: /pkg_mgr_install.php: [Squid] - Squid_resync function call pr:1 bp:1 rpc:no
    Oct 18 11:03:58 check_reload_status: Syncing firewall
    Oct 18 11:03:46 check_reload_status: Syncing firewall
    Oct 18 11:03:31 php: rc.filter_configure_sync: There was an error while parsing the package filter rules for /usr/local/pkg/squid.inc.
    Oct 18 11:03:31 php: rc.filter_configure_sync: The command '/sbin/pfctl -nf /tmp/rules.test.packages' returned exit code '1', the output was '/tmp/rules.test.packages:55: syntax error'
    Oct 18 11:03:31 php: rc.filter_configure_sync: There was an error while parsing the package filter rules for /usr/local/pkg/squid.inc.
    Oct 18 11:03:31 php: rc.filter_configure_sync: The command '/sbin/pfctl -nf /tmp/rules.test.packages' returned exit code '1', the output was '/tmp/rules.test.packages:56: syntax error /tmp/rules.test.packages:57: syntax error'
    Oct 18 11:03:29 check_reload_status: Reloading filter
    Oct 18 11:03:28 php: /pkg_mgr_install.php: [Squid] - Squid_resync function call pr:1 bp:1 rpc:no
    Oct 18 11:03:28 php: /pkg_mgr_install.php: [Squid] - Squid_resync function call pr:1 bp:1 rpc:no
    Oct 18 11:03:28 php: /pkg_mgr_install.php: [Squid] - Squid_resync function call pr:1 bp:1 rpc:no
    Oct 18 11:03:28 check_reload_status: Syncing firewall"



  • @LFCavalcanti:

    Só lembrando que o Squid3-DEV não devem ser utilizados em ambientes de produção ainda.

    Eu uso  :) o squid3-dev tem a última versão stable do squid.



  • @marcelloc:

    @LFCavalcanti:

    Só lembrando que o Squid3-DEV não devem ser utilizados em ambientes de produção ainda.

    Eu uso  :) o squid3-dev tem a última versão stable do squid.

    Eu te entendo Marcelloc, só que a versão digamos que ainda está em desenvolvimento, nem tudo está "na mão" como a versão 2.7, com isso quem está começando com PFSense eu não indico muito ainda. Melhor brincar com os recursos no ambiente de testes e depois colocar em produção.



  • quando ao erro , será ideal instalar tudo novamente e voltar o backup ao invés deste upgrade ?



  • @gst.freitas:

    quando ao erro , será ideal instalar tudo novamente e voltar o backup ao invés deste upgrade ?

    Qual Blacklist você está usando? Confira suas configurações nas ACLs do Squid e também atualize sua Blacklist no SquidGuard.



  • @LFCavalcanti:

    @marcelloc:

    @LFCavalcanti:

    Só lembrando que o Squid3-DEV não devem ser utilizados em ambientes de produção ainda.

    Eu uso  :) o squid3-dev tem a última versão stable do squid.

    Eu te entendo Marcelloc, só que a versão digamos que ainda está em desenvolvimento, nem tudo está "na mão" como a versão 2.7, com isso quem está começando com PFSense eu não indico muito ainda. Melhor brincar com os recursos no ambiente de testes e depois colocar em produção.

    LFCavalcanti, me desculpe a observação, mas sua afirmação anterior que "o Squid3-dev não deve ser utilizado em ambientes de produção" é desestimulante para aqueles que pretendem utilizá-lo e não condiz com a realidade. Tanto é que o próprio Marcello afirmou usá-lo em ambiente de produção.
    Na minha opinião, o Squid3-dev quando se utiliza a interceptação SSL, requer alguns conhecimentos mais avançados para contornar eventuais problemas com aplicativos, ferramentas e os bloqueios gerados pelo filtro do protocolo HTTPS. Mas daí a dizer que não é recomendado é um pouco forte. Depende, na verdade, dos conhecimentos necessários para saber utilizar o Squid com filtro SSL. No mais, sem esse filtro, não vi nada de diferente que faça do Squid3-dev menos recomendável que as demais versões.



  • @gst.freitas:

    quando ao erro , será ideal instalar tudo novamente e voltar o backup ao invés deste upgrade ?

    Veja se os erros param quando remove o squidguard.



  • o squid funciona normal. sem o squidguard-dev e porem tem os logs

    Oct 30 21:00:19 php: rc.filter_configure_sync: There was an error while parsing the package filter rules for /usr/local/pkg/squid.inc.
    Oct 30 21:00:19 php: rc.filter_configure_sync: The command '/sbin/pfctl -nf /tmp/rules.test.packages' returned exit code '1', the output was '/tmp/rules.test.packages:55: syntax error'
    Oct 30 21:00:18 php: rc.filter_configure_sync: There was an error while parsing the package filter rules for /usr/local/pkg/squid.inc.
    Oct 30 21:00:18 php: rc.filter_configure_sync: The command '/sbin/pfctl -nf /tmp/rules.test.packages' returned exit code '1', the output was '/tmp/rules.test.packages:56: syntax error /tmp/rules.test.packages:57: syntax error'
    Oct 30 21:00:16 php: /pkg_edit.php: The command '/usr/pbi/squid-amd64/sbin/squid -k reconfigure -f /usr/pbi/squid-amd64/etc/squid/squid.conf' returned exit code '1', the output was 'squid: ERROR: No running copy'
    Oct 30 21:00:16 php: /pkg_edit.php: Reloading Squid for configuration sync
    Oct 30 21:00:16 php: /pkg_edit.php: [Squid] - Squid_resync function call pr:1 bp: rpc:no
    Oct 31 00:00:16 check_reload_status: Syncing firewall
    Oct 31 00:00:16 check_reload_status: Reloading filter
    Oct 30 21:00:16 php: /pkg_edit.php: The command '/usr/pbi/squid-amd64/sbin/squid -k reconfigure -f /usr/pbi/squid-amd64/etc/squid/squid.conf' returned exit code '1', the output was 'squid: ERROR: No running copy'
    Oct 30 21:00:15 php: /pkg_edit.php: Reloading Squid for configuration sync
    Oct 30 21:00:15 php: /pkg_edit.php: [Squid] - Squid_resync function call pr:1 bp: rpc:no
    Oct 30 20:59:41 syslogd: kernel boot file is /boot/kernel/kernel



  • instalei os pacotes

    squid3 == 3.1.20 pkg 2.0.6
    squidGuard-squid3 == 1.4_4 pkg v.1.9.5

    e subiu normal.. alguma ideia ?



  • @LFCavalcanti:

    Está usando a versão SquidGuard-DEV?

    Tente com ela.

    Só lembrando que o Squid3-DEV e o SquidGuard-DEV não devem ser utilizados em ambientes de produção ainda.

    Bom dia amigo ….
    estou tentando fazer um ambiente de teste com Squid3-DEV e o SquidGuard-DEV mais ainda não consegui fazer rodar ...
    desculpe eu sou novato do ambiente ... pode me indicar algum tutorial .... já li alguns ... estou usando a versão 2.1

    Obrigado..



  • Opa !
    Amigo …

    Desculpem aí se fui muito vago ..

    Estou rodando o Pfsense 2.1.3 + squid-dev 3.3.10 2.2.2 + squidGuard-squid3 1.4_4pkg v.1.9.5 estou com https+sssl Ativo

    Meu objetivo ...é bloquear Ultrasurf + Tor + Facebook e Youtube ... isso bloqueou 100% até o momento ... o problema mesmo está com o Skype .... porém somente quando tento autenticar usando uma conta microsoft ..... @... qualquercoisa .... no mais funciona muito bem ....

    Obrigado pela atenção de todos ...


Log in to reply